Package org.apache.felix.framework

# Class ResolveContextImpl

java.lang.Object
org.apache.felix.framework.resolver.ResolveContext
org.apache.felix.framework.ResolveContextImpl

public class ResolveContextImpl extends ResolveContext

Author:
  rickhall

## Method Summary

Modifier and Type
Method
Description
`void`
`checkNativeLibraries(BundleRevision rev)`
`List<BundleCapability>`
`findProviders(BundleRequirement br, boolean obeyMandatory)`
`Collection<BundleRevision>`
`getMandatoryRevisions()`
`Collection<BundleRevision>`
`getOndemandRevisions()`
`Collection<BundleRevision>`
`getOptionalRevisions()`
`Map<BundleRevision,BundleWiring>`
`getWirings()`
`int`
`insertHostedCapability(List<BundleCapability> caps, HostedCapability hc)`
`boolean`
`isEffective(BundleRequirement br)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMandatoryRevisions

public Collection<BundleRevision> getMandatoryRevisions()

Overrides:
  `getMandatoryRevisions` in class `ResolveContext`

### getOptionalRevisions

public Collection<BundleRevision> getOptionalRevisions()

Overrides:
  `getOptionalRevisions` in class `ResolveContext`

### getOndemandRevisions

public Collection<BundleRevision> getOndemandRevisions()

### findProviders

public List<BundleCapability> findProviders(BundleRequirement br, boolean obeyMandatory)

Specified by:
  `findProviders` in class `ResolveContext`

### insertHostedCapability

public int insertHostedCapability(List<BundleCapability> caps, HostedCapability hc)

Specified by:
  `insertHostedCapability` in class `ResolveContext`

### isEffective

public boolean isEffective(BundleRequirement br)

Specified by:
  `isEffective` in class `ResolveContext`

### getWirings

public Map<BundleRevision,BundleWiring> getWirings()

Specified by:
  `getWirings` in class `ResolveContext`

### checkNativeLibraries

public void checkNativeLibraries(BundleRevision rev) throws ResolveException

Throws:
  `ResolveException`